Subject: [core] Minutes for Core Wednesday Afternoon Meeting

From: Linyi Tian 01 <[email-masked]>
Date: Wed, 27 Jul 2011 21:02:48 -0400

Hi, Core Folks

Here is the minutes I took during this afternoon meeting. I am not sure
whether this is the worst minutes you ever seen in Core:)

Minutes for Core (Wednesday Afternoon)
1. Charter Review
Peter suggested it maybe reasonable to allow several months work on block
draft.
Linyi suggested it make sense to merge the size option draft into block
draft if it is accepted as WG item.

2. Core Resource Directory Draft (Zach)
There is a related EU project SENSI (2008-2010) for this feature.
Hannes Tschofenig: 
・     Which part will be standardized in the RD architecture? There is
different IOP need in different parts.

・     Is the interface between the RDS and sensor or device? What does
client means?

Kepeng Li: 
・     Can we achieve partially update, from the syntax, it seems to be
difficult; 

・     Does it have influence to the link-format document, because it is
mentioned in the ppt

3. DNS-Based Service Discovery (Kerry Lynn)
Kepeng: Should this be informational?
No other serious issues were raised.
 
4. Group Communication (Akbar)
Kerry: xxxx (was not captured, sorry)
It was proposed to have application multicast, why now we changed to IP
layer multicast?
Akbar: We investigated the different options: IP Multicast, Overlay
Multicast and CoAP Application Level Group Management. Finally we come to
the conclusion that we should just do IP Multicast.
Zach: Do you think that multicast will cause congestion control? In the base
spec, we have already used IP multicast.
 
5. Size Option (Kepeng Li)
cabo:
・     I like the basic approach
[20:02:16] <cabo> 1) I like the basic approach
[20:02:53] *** kepeng_li\40jabber.org
([email-masked]/4290206ceb1e85de) has left the room
[20:03:09] <cabo> 2) We need to separate the HEAD (send no data) function
from the size indication
3) We need to provide the end-points with hints on when to send this and
when not.

[20:03:09] <cabo> 2) We need to separate the HEAD (send no data) function
from the size indication
3) We need to provide the end-points with hints on when to send this and
when not.

Hum:
(1) WG should work on this: some hum
(2) Not sure: some hum
(3) Objections: no hum

6. Request timeout (Kepeng Li)
Milliseconds or mibiseconds: Mibisectonds
Cabo: 
・     I like the basic approach

・     We cold misuse timeout=0 as HEAD

Zach: I am not convinced we need this. It is better to see implementations
Linyi: This is similar to Accept header. It is the recommendation for the
timeout. If it is not supported, it can just be ignored.
 
7. Building Control (Peter)
Zach: I think the idea of forcing the sensors in the group to have the same
path should be carefully considered. An alternative way is to have a proxy
in between.
Peter: Put the proxy in between will cause delay.
Ed: Where the DNS server is? Who is administrative it in that scenario?
Kerry: In commercial applications, you can delegate DNS resource.
Anders: For large buildings you will have administrative DNS server.
Kerry: It is also possible to add DNS records in existing DNS.
 
8. Bootstrapping (Yoshihiro)
Oscar has some suggestions.
 
9. CoAP securety (Jari)
Yoshihiro： This identity is the client device identity. Consider the mutual
authentication, how this can be done?
Hennes: The different trust model leads to different solutions. This is the
application layer solution. I am wondering how this can form a big picture
for different trust models in terms of standardization.
Jari: We are proposing architecture that provides a practical,
minimal-configuration approach to smart object security.
Jari clarified the proposal is mainly on the provision part.

Cheers,
Linyi